
From: David Gibson <david@gibson.dropbear.id.au>


Renames check_valid_hugepage_range() to is_hugepage_only_range(), which makes
more sense.



 include/linux/hugetlb.h |    6 +++---
 mm/mmap.c               |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN include/linux/hugetlb.h~extend-check_valid_hugepage_range include/linux/hugetlb.h
--- 25/include/linux/hugetlb.h~extend-check_valid_hugepage_range	2003-05-21 21:30:05.000000000 -0700
+++ 25-akpm/include/linux/hugetlb.h	2003-05-21 21:30:05.000000000 -0700
@@ -37,8 +37,8 @@ mark_mm_hugetlb(struct mm_struct *mm, st
 		mm->used_hugetlb = 1;
 }
 
-#ifndef ARCH_HAS_VALID_HUGEPAGE_RANGE
-#define check_valid_hugepage_range(addr, len)	0
+#ifndef ARCH_HAS_HUGEPAGE_ONLY_RANGE
+#define is_hugepage_only_range(addr, len)	0
 #endif
 
 #else /* !CONFIG_HUGETLB_PAGE */
@@ -62,7 +62,7 @@ static inline int is_vm_hugetlb_page(str
 #define follow_huge_pmd(mm, addr, pmd, write)	0
 #define is_aligned_hugepage_range(addr, len)	0
 #define pmd_huge(x)	0
-#define check_valid_hugepage_range(addr, len)	0
+#define is_hugepage_only_range(addr, len)	0
 
 #ifndef HPAGE_MASK
 #define HPAGE_MASK	0		/* Keep the compiler happy */
diff -puN mm/mmap.c~extend-check_valid_hugepage_range mm/mmap.c
--- 25/mm/mmap.c~extend-check_valid_hugepage_range	2003-05-21 21:30:05.000000000 -0700
+++ 25-akpm/mm/mmap.c	2003-05-21 21:30:05.000000000 -0700
@@ -836,7 +836,7 @@ get_unmapped_area(struct file *file, uns
 			 * reserved hugepage range.  For some archs like IA-64,
 			 * there is a separate region for hugepages.
 			 */
-			ret = check_valid_hugepage_range(addr, len);
+			ret = is_hugepage_only_range(addr, len);
 		}
 		if (ret)
 			return ret;

_
